#include <sys/types.h>
#include "configuration.h"

class cSynchronizer
{
public:
    cSynchronizer(){};
    virtual ~cSynchronizer(){active=false;}
    virtual void sync(int64_t pts) = 0;
    virtual void stop(){active=false;}
protected:
    bool active;
};

uint64_t msectime();
cSynchronizer* GetSynchronizer();
